Package org.springframework.cloud.task.batch.listener.support

# Enum JobParameterEvent.ParameterType

java.lang.Object
java.lang.Enum<JobParameterEvent.ParameterType>
org.springframework.cloud.task.batch.listener.support.JobParameterEvent.ParameterType

All Implemented Interfaces:
  `Serializable`, `Comparable<JobParameterEvent.ParameterType>`, `java.lang.constant.Constable`

Enclosing class:
  JobParameterEvent

public static enum JobParameterEvent.ParameterType extends Enum<JobParameterEvent.ParameterType>
Enumeration representing the type of a JobParameter.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATE`
  `DOUBLE`
  `LONG`
  `STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JobParameterEvent.ParameterType`
  `convert(org.springframework.batch.core.JobParameter.ParameterType type)`
  `static JobParameterEvent.ParameterType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static JobParameterEvent.ParameterType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRING

    public static final JobParameterEvent.ParameterType STRING

  - ### DATE

    public static final JobParameterEvent.ParameterType DATE

  - ### LONG

    public static final JobParameterEvent.ParameterType LONG

  - ### DOUBLE

    public static final JobParameterEvent.ParameterType DOUBLE

- ## Method Details

  - ### values

    public static JobParameterEvent.ParameterType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static JobParameterEvent.ParameterType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### convert

    public static JobParameterEvent.ParameterType convert(org.springframework.batch.core.JobParameter.ParameterType type)